{% extends 'back.html.twig' %}
{% block title %}hashtag index{% endblock %}

{% block body %}
    <h1 class="my-3 text-primary text-center">Hashtags</h1>

    <div class="m-3">
        <a href="{{ path('admin_hashtag_new') }}" class="btn btn-secondary text-white">Créer nouveau hashtag</a>
    </div>

    <table class="table table-striped text-center">
        <thead>
            <tr>
                <th>Nom</th>
                <th>Éditer</th>
                <th>Supprimer</th>
            </tr>
        </thead>
        <tbody>
        {% for hashtag in hashtags %}
            <tr>
                <td>{{ hashtag.title }}</td>
                <td>
                    <div class="w-100 h-100 d-flex align-items-center justify-content-around">
                        <a href="{{ path('admin_hashtag_edit', {'id': hashtag.id}) }}" class="btn btn-primary">Éditer</a>
                    </div>
                </td>
                <td>
                    <div class="w-100 h-100 d-flex align-items-center justify-content-around">
                        {{ include('admin/hashtag/_delete_form.html.twig') }}
                    </div>
                </td>
            </tr>
        {% else %}
            <tr class="text-center">
                <td colspan="7">Il n'y a pas encore de hashtag.</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}
